Skip to content
First requestVisit website ↗
Navigation

Schedule an email for delivery

Schedules an email to be sent via the queue service

POST
https://api.channelautomation.com/api/queue/schedule-email

Authorization

  • bearerAuth
    bearerAuth
    required

Request body JSON required

  • to
    string
    required

    Recipient email address

    format: email
  • subject
    string
    required

    Email subject

  • body
    string
    required

    Email body (HTML supported)

  • workspaceId
    string
    required

    Workspace ID

  • contactId
    optional
    string

    Contact ID (optional)

  • scheduledFor
    optional
    string

    When to send the email (optional, immediate if not specified)

    format: date-time
  • metadata
    optional
    object

    Additional metadata for the email

Returns

200

Email scheduled successfully

JSON
  • success
    optional
    boolean
  • jobId
    optional
    string

    Queue job ID for tracking

  • scheduledFor
    optional
    string

    When the email is scheduled to be sent

    format: date-time

400

Invalid input

401

Unauthorized

500

Internal server error

Type to search…

↑↓ navigate↵ selectEsc close